Package writer2latex.office

# Class MasterPage

java.lang.Object
writer2latex.office.OfficeStyle
writer2latex.office.MasterPage

public class MasterPage extends OfficeStyle

Class representing a master page in OOo Writer

## Field Summary

### Fields inherited from class writer2latex.office.OfficeStyle

`bAutomatic, family, sName`

## Constructor Summary

Constructors
Constructor
Description
`MasterPage()`

## Method Summary

Modifier and Type
Method
Description
`Node`
`getFooter()`
`Node`
`getFooterLeft()`
`Node`
`getHeader()`
`Node`
`getHeaderLeft()`
`String`
`getPageLayoutName()`
`String`
`getProperty(String sPropName)`
`void`
`loadStyleFromDOM(Node node)`

### Methods inherited from class writer2latex.office.OfficeStyle

`getDisplayName, getFamily, getListStyleName, getMasterPageName, getName, getParentName, getParentStyle, isAutomatic`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### MasterPage

public MasterPage()

## Method Details

### getProperty

public String getProperty(String sPropName)

### getPageLayoutName

public String getPageLayoutName()

### getHeader

public Node getHeader()

### getHeaderLeft

public Node getHeaderLeft()

### getFooter

public Node getFooter()

### getFooterLeft

public Node getFooterLeft()

### loadStyleFromDOM

public void loadStyleFromDOM(Node node)

Overrides:
  `loadStyleFromDOM` in class `OfficeStyle`